<!DOCTYPE html>
<html>
    <head>
        <style>
            table , th , tr , td {
                border: 1px solid black;
                border-collapse:collapse;
            }
        </style>
    </head>
    <body>
        <h1>Employee Details</h1>
        {% if editing %}
        <form action="{% url 'update_employee' employee.id %}"  method="POST"> 
            {% csrf_token %}
            <p>
                <label for="salary">salary:</label>
                <input type="text" id="salary" name="salary" value="{{employee.salary}}">
            </p>
            <p>
                <label for="emp_name">Name:</label>
                <input type="text" id="emp_name" name="emp_name" value="{{employee.emp_name}}">
            </p>
            <p>
                <label for="emp_no">emp Number:</label>
                <input type="text" id="emp_no" name="emp_no" value="{{employee.emp_no}}">
            </p>
            <p>
                <input type="submit" value="EDIT">
            </p>
        </form>
        {% else %}
        <p>salary: {{employee.salary}}</p>
        <p>Name: {{employee.emp_name}}</p>
        <p>emp Number: {{employee.emp_no}} </p>
        <table>
            <tr>
                <th>DATE</th>
                <th>ATTENDENCE</th>
            </tr>
            {% for at in emp %}
            <tr>
                <td>{{at.date}}</td>
                <td>{{at.present}}</td>
            <td>
                <a href="{% url 'edit_attendence' employee.id at.id %}">EDIT</a>
            </td>
        </tr>

            {% endfor %}

        <form method="post" action="{% url 'add_attendence' employee.id %}">
            {% csrf_token %}
            <tr>
                <td>
                    <input type="text" name="date">    
                </td>
                <td>
                    <input type="text" name="present">    
                </td>
                <td>
                    <input type="submit" value="ADD">
                </td>
            </tr>

        </form>
    </table>


        <p><a href="{% url 'update_employee' employee.id %}">EDIT</p>
        <p><a href="{% url 'delete_employee' employee.id %}">DELETE(cannot be undone)</a></p>
        {% endif %}
        <p><a href="{% url 'Employee_list' %}">All students</a></p><br>
        <a href="{% url 'logout' %}">LOGOUT</a>
    </body>
</html>
